#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.7
visibility:           public
id:                   hOpenPGP-2.9.7-IBt1HGd12y29imqJXU3D3S
key:                  hOpenPGP-2.9.7-IBt1HGd12y29imqJXU3D3S
license:              MIT
copyright:            2012-2021  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  5921cd7685a31b5993a9fd71ec2a5836
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/hOpenPGP-2.9.7
hs-libraries:         HShOpenPGP-2.9.7-IBt1HGd12y29imqJXU3D3S
depends:
    aeson-1.5.6.0-9b7PYeIt4IK50V585g1cEG
    asn1-encoding-0.9.6-9hRPw2Byx9x9QIC8Bn0oHg
    attoparsec-0.14.4-GTUovz5zqDi6zhtjAcFzCG base-4.15.1.0
    base16-bytestring-1.0.2.0-1Q05LVPn1NZ2OQtCegkEPP
    bifunctors-5.5.11-90SBkbKYaGFDaUcBnhQoJM binary-0.8.8.0
    binary-conduit-1.3.1-CtCfCXxzIGNoZi33FFN0c bytestring-0.10.12.1
    bz2-1.0.1.0-3HF5hzoaFyi4APiwWDQ5o9
    conduit-1.3.4.2-4OESnOFAn3YLxnwTfxCzvi
    conduit-extra-1.3.5-3hcCcS1puElD4QJed3Vb9R containers-0.6.4.1
    crypto-cipher-types-0.0.9-Pkn8Fl3IUT6CrXzDCWbWP
    cryptonite-0.29-4oOqVnDnOuA8A3oOKQmU8i
    errors-2.3.0-AMf4swi6TfI2g0Jb1DBx7t
    hashable-1.4.0.0-LbiCNO5gyl3FzQI198nxBm
    incremental-parser-0.5.0.2-4ItMQxTjuV9D6yJoXLvUif
    ixset-typed-0.5-IPvagsh5JUABf8NW9TH7i6
    lens-5.1-5sqHVT582JO7KyE5qbdQI4
    memory-0.16.0-C1aSJjn86k58WRNtXw4yyI
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-JlbmSgx9VwK7oI5tTrlxs3
    network-uri-2.6.4.1-J1jy2ktAHZU9hkYVuRrliD
    openpgp-asciiarmor-0.1.2-2ZzOOhjuoN25Lmcu6IEBBa
    prettyprinter-1.7.1-BcG2a5LbDhM32E95kplqMz
    resourcet-1.2.4.3-A3UQmLnGJ4MLRi5DNZbYSg
    split-0.2.3.4-8Sx5jBceiafLG5dLNokxf6 text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.16.0-CwffDPZxPuFHBx4xcBeO
    zlib-0.6.2.3-1eV6stBVNgu6SzXo7HL6um

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

